<?php
    class Catalogo extends Conexion{        
        public function Consultar($tipo){
            $conectar = parent::conectar();
            parent::set_names();
            $sql="SELECT * FROM catalogo where tipo = ? and estado = 'ACTIVO'";
            $sql=$conectar->prepare($sql);
            $sql->bindValue(1, $tipo);
            $sql->execute();
            return $resultado=$sql->fetchAll();
        }
        public function ConsultarDescripcion($tipo){
            $conectar = parent::conectar();
            parent::set_names();
            $sql="SELECT * FROM catalogo where catalogodbk = ? and estado = 'ACTIVO'";
            $sql=$conectar->prepare($sql);
            $sql->bindValue(1, $tipo);
            $sql->execute();
            return $resultado=$sql->fetchAll();
        }
    }
?>
